angular.module('luticate')
    .controller('GroupsController', ['$scope', 'luticateAuthGroups',
        function($scope, luticateAuthGroups) {

            $scope.columns = [
                {
                    name: "Name",
                    width: 11,
                    getValue: function(item) {
                        return item.Name;
                    }
                }
            ];

            $scope.getLoadPagePromise = function(page, perPage, promise)
            {
                return luticateAuthGroups.getAll({page: page, perPage: perPage}, promise);
            };

            $scope.getDelPromise = function(id, promise)
            {
                return luticateAuthGroups.del({group_id: id}, promise);
            };

            $scope.getEditController = function()
            {
                return "GroupEdit";
            };
        }]);
